Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.support
Class StandaloneActionMapping<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.support.action.support.StandaloneActionMapping<T>

All Implemented Interfaces:
  SoapUIActionMapping<T>

    public class StandaloneActionMapping<T extends ModelItem>

extends java.lang.Object
implements SoapUIActionMapping<T>

A standalone SoapUIAcionMapping

Author:
  ole.matzura

Constructor Summary
`StandaloneActionMapping(SoapUIAction<T> action)`
`StandaloneActionMapping(SoapUIAction<T> action, java.lang.String keyStroke)`
`StandaloneActionMapping(SoapUIAction<T> action, java.lang.String keyStroke, java.lang.String iconPath)`

Method Summary
`SoapUIAction<T>` | `getAction()`
`java.lang.String` | `getActionId()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIconPath()`
`java.lang.String` | `getId()`
`java.lang.String` | `getKeyStroke()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getParam()`
`boolean` | `isDefault()`
`boolean` | `isEnabled()`
`SoapUIActionMapping<T>` | `setDescription(java.lang.String description)`
`SoapUIActionMapping<T>` | `setEnabled(boolean enabled)`
`SoapUIActionMapping<T>` | `setName(java.lang.String name)`
`SoapUIActionMapping<T>` | `setParam(java.lang.Object param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneActionMapping

    public StandaloneActionMapping(SoapUIAction<T> action,
                                   java.lang.String keyStroke,
                                   java.lang.String iconPath)

### StandaloneActionMapping

    public StandaloneActionMapping(SoapUIAction<T> action,
                                   java.lang.String keyStroke)

### StandaloneActionMapping

    public StandaloneActionMapping(SoapUIAction<T> action)

Method Detail

### getAction

    public SoapUIAction<T> getAction()

  Specified by:
    `getAction` in interface `SoapUIActionMapping<T extends ModelItem>`

### getActionId

    public java.lang.String getActionId()

  Specified by:
    `getActionId` in interface `SoapUIActionMapping<T extends ModelItem>`

### getIconPath

    public java.lang.String getIconPath()

  Specified by:
    `getIconPath` in interface `SoapUIActionMapping<T extends ModelItem>`

### getKeyStroke

    public java.lang.String getKeyStroke()

  Specified by:
    `getKeyStroke` in interface `SoapUIActionMapping<T extends ModelItem>`

### getParam

    public java.lang.Object getParam()

  Specified by:
    `getParam` in interface `SoapUIActionMapping<T extends ModelItem>`

### isDefault

    public boolean isDefault()

  Specified by:
    `isDefault` in interface `SoapUIActionMapping<T extends ModelItem>`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `SoapUIActionMapping<T extends ModelItem>`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SoapUIActionMapping<T extends ModelItem>`

### setDescription

    public SoapUIActionMapping<T> setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `SoapUIActionMapping<T extends ModelItem>`

### setName

    public SoapUIActionMapping<T> setName(java.lang.String name)

  Specified by:
    `setName` in interface `SoapUIActionMapping<T extends ModelItem>`

### setParam

    public SoapUIActionMapping<T> setParam(java.lang.Object param)

  Specified by:
    `setParam` in interface `SoapUIActionMapping<T extends ModelItem>`

### getId

    public java.lang.String getId()

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `SoapUIActionMapping<T extends ModelItem>`

### setEnabled

    public SoapUIActionMapping<T> setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `SoapUIActionMapping<T extends ModelItem>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.